Topic: What are the requirements for Simpleviewer?

Downloaded the iPhoto export 1.7 and it crashes everytime I use it. I have OS X 10.3.9

Wait a minute... I think I just realized that iPhoto export is separate from Simpleviewer...  right?

Hmm...